package com.mx.dla.dda.contrato.condicionesTransaccion.dtos;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class DataInicialTransaccionDTO implements Serializable{

	
	private static final long serialVersionUID = 1L;
	
	private List<CategoriaMgDTO> categoriaMGLista = new ArrayList<CategoriaMgDTO>();
	private List<ReleaseDateDTO> releaseDateLista = new ArrayList<ReleaseDateDTO>();
	private List<ContratoPtransDTO> ptrsLista = new ArrayList<ContratoPtransDTO>();
	private List<List<ContratoPtAnnioDTO>> ptrsAnnio = new ArrayList<List<ContratoPtAnnioDTO>>();			
	private List<List<ContratoPtCmgDTO>> ptrsCmg = new ArrayList<List<ContratoPtCmgDTO>>();
	private List<List<ContratoCategoriasDTO>> ptrsCategorias = new ArrayList<List<ContratoCategoriasDTO>>();
	private List<List<ContratoPtrsRdDTO>> ptrsRd = new ArrayList<List<ContratoPtrsRdDTO>>();
	private List<List<ContratoPtrsPrecioDTO>> ptrsPrecio = new ArrayList<List<ContratoPtrsPrecioDTO>>();
	


	public List<CategoriaMgDTO> getCategoriaMGLista() {
		return categoriaMGLista;
	}

	public void setCategoriaMGLista(List<CategoriaMgDTO> categoriaMGLista) {
		this.categoriaMGLista = categoriaMGLista;
	}

	public List<ReleaseDateDTO> getReleaseDateLista() {
		return releaseDateLista;
	}

	public void setReleaseDateLista(List<ReleaseDateDTO> releaseDateLista) {
		this.releaseDateLista = releaseDateLista;
	}
	
	

	public List<ContratoPtransDTO> getPtrsLista() {
		return ptrsLista;
	}

	public void setPtrsLista(List<ContratoPtransDTO> ptrsLista) {
		this.ptrsLista = ptrsLista;
	}

	public List<List<ContratoPtAnnioDTO>> getPtrsAnnio() {
		return ptrsAnnio;
	}

	public void setPtrsAnnio(List<List<ContratoPtAnnioDTO>> ptrsAnnio) {
		this.ptrsAnnio = ptrsAnnio;
	}

	public List<List<ContratoPtCmgDTO>> getPtrsCmg() {
		return ptrsCmg;
	}

	public void setPtrsCmg(List<List<ContratoPtCmgDTO>> ptrsCmg) {
		this.ptrsCmg = ptrsCmg;
	}

	public List<List<ContratoCategoriasDTO>> getPtrsCategorias() {
		return ptrsCategorias;
	}

	public void setPtrsCategorias(List<List<ContratoCategoriasDTO>> ptrsCategorias) {
		this.ptrsCategorias = ptrsCategorias;
	}

	public List<List<ContratoPtrsRdDTO>> getPtrsRd() {
		return ptrsRd;
	}

	public void setPtrsRd(List<List<ContratoPtrsRdDTO>> ptrsRd) {
		this.ptrsRd = ptrsRd;
	}

	public List<List<ContratoPtrsPrecioDTO>> getPtrsPrecio() {
		return ptrsPrecio;
	}

	public void setPtrsPrecio(List<List<ContratoPtrsPrecioDTO>> ptrsPrecio) {
		this.ptrsPrecio = ptrsPrecio;
	}

	@Override
	public String toString() {
		return "DataInicialDTO [categoriaMGLista=" + categoriaMGLista + ", releaseDateLista=" + releaseDateLista
				+ ", ptrsLista=" + ptrsLista + ", ptrsAnnio=" + ptrsAnnio + ", ptrsCmg=" + ptrsCmg + ", ptrsCategorias="
				+ ptrsCategorias + ", ptrsRd=" + ptrsRd + ", ptrsPrecio=" + ptrsPrecio + "]";
	}

	
	
	

}
